
Core - Task # 55187

Epic # 55070 (Accepted): Workpackages
Epic # 54260 (Accepted): WP: FAL Missing Issues / Features / API
Story # 54261 (Resolved): As an Extension-Developer I want to use FAL assets in my custom development
Task # 55177 (Resolved): Add concept of a default storage

Status: Resolved Priority: Should have
Author: Oliver Hader Category: Backend User Interface
Created: 2014-01-20 Assigned To: Oliver Hader
Updated: 2014-04-03 Due date:
TYPO3 Version: 6.2
PHP Version: 5.3
Complexity:
Sprint Focus:
Subject: Allow unique evaulation for TCA type 'check'
Description

Allow the unique evaluation for checkboxes by setting the accordant 'eval' property in the field configuration in TCA.

Example:
        'is_default' => array(
            'exclude' => 0,
            'label' => 'LLL:EXT:lang/locallang_tca.xlf:sys_file_storage.is_default',
            'config' => array(
                'type' => 'check',
                'default' => 1,
                'eval' => 'unique',
            )
        ),

Related issues:
related to Core - Bug # 55590: TCA maximumRecordsChecked should display message Resolved 2014-02-02
blocks TCA Reference - Feature # 55188: Allow unique evaulation for TCA type ... Closed 2014-01-20

Associated revisions
Revision 7cfcb65d - 2014-02-02 14:27 - Oliver Hader

[FEATURE] Add maximumRecords evaluation for TCA type 'check'

Allow the max items evaluation for checkboxes by setting the
accordant 'eval' property in the field configuration in TCA.

This makes it possible to have only e.g. 5 records that have a
checkbox set system-wide or PID-wide. If an editor
sets a another checkbox in record #6, it gets reverted
until another record was unchecked.

Parameters are "maximumRecordsChecked" and
"maximumRecordsCheckedInPid".

$tcaFieldConf = array(
'type' => 'check',
'eval' => 'maximumRecordsChecked',
'validation' => array(
 'maximumRecordsChecked' => 5
)
);

Change-Id: Ic33571fec15dcc9f83a61e2409256cce7dae8b12
Documentation: #55188
Resolves: #55187
Releases: 6.2
Reviewed-on: https://review.typo3.org/26946
Reviewed-by: Ingo Schmitt
Tested-by: Ingo Schmitt
Reviewed-by: Frans Saris
Tested-by: Frans Saris

History
#1 - 2014-01-20 19:53 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/26946

#2 - 2014-01-20 19:54 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/26946

#3 - 2014-01-20 19:59 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/26946

#4 - 2014-01-20 20:22 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/26946

#5 - 2014-01-22 20:11 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/26946

#6 - 2014-02-01 10:28 - Gerrit Code Review
Patch set 7 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/26946

#7 - 2014-02-02 14:07 - Gerrit Code Review

Patch set 8 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/26946

#8 - 2014-02-02 14:30 - Oliver Hader
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:7cfcb65d3e2b25522490658a07ea17ebaa45baad.

#9 - 2014-04-03 00:16 - Oliver Hader
- Parent task set to #55177
